Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2328)

Issue 2602: git support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 years, 3 months ago by Evan Martin
Modified:
10 years, 2 months ago
Base URL:
http://rietveld.googlecode.com/svn/trunk/
Visibility:
Public.

Description

This patch builds on the abstraction added in issue 2589 to support using Git for upload.py.

Patch Set 1 #

Patch Set 2 : just the deltas against 2589, manually edited to work around 2598 #

Patch Set 3 : rebased on newer 2589 #

Patch Set 4 : retry upload #

Patch Set 5 : trailing newline fix #

Patch Set 6 : better comment #

Patch Set 7 : rebased on trunk; address review comments #

Patch Set 8 : rebase on trunk; address comments; based on 2589 #

Patch Set 9 : one more git->svn replace; fix quotes #

Patch Set 10 : better base file fetching #

Patch Set 11 : two minor bits i overlooked #

Patch Set 12 : simpler implementation #

Patch Set 13 : without extra test file #

Patch Set 14 : remove unnecessary argument renaming #

Patch Set 15 : rebased on issue 2949 patch #

Patch Set 16 : retry with fixed GetBaseFile #

Patch Set 17 : updated in response to review comments #

Patch Set 18 : try two #

Unified diffs Side-by-side diffs Delta from patch set Stats (+74 lines, -3 lines) Patch
M static/upload.py View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 5 chunks +74 lines, -3 lines 2 comments Download

Messages

Total messages: 11
Evan Martin
This patch includes the code from http://codereview.appspot.com/2589 so you should review that one first, and ...
11 years, 3 months ago (2008-07-18 06:14:30 UTC) #1
GvR
[Just changing reviewers]
11 years, 3 months ago (2008-07-18 14:23:04 UTC) #2
ondrej.certik
The patch looks ok to me. +1
11 years, 3 months ago (2008-07-19 20:06:00 UTC) #3
GvR
Just a few nits while I'm awaiting the clean-up of issue 2589... http://codereview.appspot.com/2602/diff/65/47 File static/upload.py ...
11 years, 2 months ago (2008-07-30 18:21:43 UTC) #4
GvR
Can someone who uses git do a thorough test of this?
11 years, 2 months ago (2008-07-31 17:32:00 UTC) #5
joachim
Nice piece of work. Let me give a few comments from someone who comes from ...
11 years, 2 months ago (2008-07-31 19:37:20 UTC) #6
Evan Martin
Updated to work again. This diff is now based on the code in issue 2949. ...
11 years, 2 months ago (2008-08-18 04:00:19 UTC) #7
Andi Albrecht
Hi Evan, here are some first comments but I had not time yet to test ...
11 years, 2 months ago (2008-08-19 04:59:03 UTC) #8
Andi Albrecht
LGTM I'm not very familiar with git, so I did only some basic tests, but ...
11 years, 2 months ago (2008-08-19 19:48:34 UTC) #9
Andi Albrecht
Committed r266 with a slight modification: local_base is enabled by default for other VCS than ...
11 years, 2 months ago (2008-08-19 20:29:52 UTC) #10
GvR
11 years, 2 months ago (2008-08-21 22:51:03 UTC) #11
Congrats, Evan!  Can you close this issue now?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b